#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire3100seven4xi .py">
#<abstract4xi abstract = "fires to direction seven and to distance 3100"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire3100seven4xi ']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven31004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
shot2seven31004xi = {
                1:'-1055x-2749y966z',
                2:'-1072x-2446y1573z',
                3:'-1184x-999y2684z',
                4:'-1187x-1113y2755z',
                5:'-1191x-2372y1600z',
                6:'-1193x-2681y996z',
                7:'-1213x-919y2700z',
                8:'-1238x-839y2715z',
                9:'-1256x-759y2730z',
                10:'-126x-1584y2661z',
                11:'-1270x-679y2744z',
                12:'-1279x-600y2758z',
                13:'-1283x-522y2772z',
                14:'-129x-2771y1382z',
                15:'-1306x-2293y1626z',
                16:'-1328x-2606y1025z',
                17:'-1415x-2207y1652z',
                18:'-1457x-2524y1054z',
                19:'-1519x-2117y1678z',
                20:'-156x-2993y788z',
                21:'-1581x-2435y1083z',
                22:'-1584x-2664y7z',
                23:'-1617x-2021y1704z',
                24:'-1700x-2340y1112z',
                25:'-1709x-1921y1730z',
                26:'-1721x-2577y38z',
                27:'-1795x-1816y1756z',
                28:'-1813x-2239y1141z',
                29:'-1853x-2483y69z',
                30:'-1875x-1708y1781z',
                31:'-1920x-2133y1170z',
                32:'-1948x-1596y1807z',
                33:'-1980x-2382y100z',
                34:'-2014x-1481y1832z',
                35:'-2021x-2021y1199z',
                36:'-205x-1549y2677z',
                37:'-2073x-1364y1857z',
                38:'-2102x-2274y131z',
                39:'-2115x-1904y1227z',
                40:'-2126x-1244y1881z',
                41:'-2171x-1122y1906z',
                42:'-2202x-1783y1256z',
                43:'-2209x-999y1930z',
                44:'-2217x-2160y162z',
                45:'-2241x-875y1954z',
                46:'-2265x-750y1978z',
                47:'-2282x-1658y1284z',
                48:'-2282x-625y2002z',
                49:'-2292x-501y2026z',
                50:'-2325x-2040y193z',
                51:'-2355x-1529y1312z',
                52:'-2420x-1397y1340z',
                53:'-2427x-1914y224z',
                54:'-2478x-1262y1368z',
                55:'-2522x-1783y254z',
                56:'-2528x-1125y1396z',
                57:'-2570x-986y1423z',
                58:'-2605x-846y1451z',
                59:'-2610x-1647y285z',
                60:'-2631x-705y1478z',
                61:'-2650x-563y1505z',
                62:'-2661x-421y1532z',
                63:'-2664x-280y1559z',
                64:'-2690x-1507y316z',
                65:'-272x-2747y1410z',
                66:'-2762x-1362y347z',
                67:'-281x-1510y2692z',
                68:'-2826x-1214y378z',
                69:'-2882x-1063y409z',
                70:'-28x-30y3099z',
                71:'-2930x-910y439z',
                72:'-2969x-754y470z',
                73:'-29x-442y3068z',
                74:'-312x-2973y818z',
                75:'-354x-1467y2707z',
                76:'-413x-2714y1437z',
                77:'-422x-1420y2722z',
                78:'-44x-1615y2645z',
                79:'-466x-2944y848z',
                80:'-46x-56y3099z',
                81:'-487x-1370y2737z',
                82:'-49x-409y3072z',
                83:'-547x-1317y2751z',
                84:'-552x-2675y1465z',
                85:'-604x-1262y2766z',
                86:'-618x-2908y878z',
                87:'-62x-83y3098z',
                88:'-656x-1204y2779z',
                89:'-65x-376y3076z',
                90:'-687x-2628y1492z',
                91:'-703x-1145y2793z',
                92:'-746x-1083y2806z',
                93:'-75x-112y3097z',
                94:'-767x-2863y907z',
                95:'-785x-1020y2819z',
                96:'-78x-342y3080z',
                97:'-7x-474y3063z',
                98:'-7x-7y3099z',
                99:'-819x-2574y1519z',
                100:'-819x-956y2832z',
                101:'-848x-892y2844z',
                102:'-85x-142y3095z',
                103:'-867x-159y2971z',
                104:'-873x-826y2857z',
                105:'-87x-308y3083z',
                106:'-886x-211y2962z',
                107:'-893x-761y2869z',
                108:'-902x-266y2953z',
                109:'-909x-696y2880z',
                110:'-913x-2810y937z',
                111:'-915x-322y2944z',
                112:'-920x-631y2891z',
                113:'-924x-381y2934z',
                114:'-927x-567y2902z',
                115:'-929x-441y2924z',
                116:'-92x-174y3093z',
                117:'-930x-503y2913z',
                118:'-93x-274y3086z',
                119:'-948x-2513y1546z',
                120:'-95x-206y3091z',
                121:'-96x-240y3089z',
                122:'0x-3005y758z'}         
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire3100seven4xi " usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire3100seven4xi (queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE3100SEVEN4XI - STARTED TIME: ", time2start)
        #  
        
        print("\n (STEP 1A2/33) OF FIRE3100SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE3100SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE3100SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE3100SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven31004xi) 
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE3100SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE3100SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE3100SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven8shot2seven31004xi </ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven8shot2seven31004xi </nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE3100SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE3100SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE3100SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # 
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire3100seven4xi .py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

       